package com.supervision.ai.service.hub.dto.heygem;

import lombok.Data;

@Data
public class TextToAudioReqDTO {

    /**
     *一个UUID保持唯一即可
     */
    private String speaker;
    /**
     * 需要合成的文本内容
     */
    private String text;
    /**
     * 固定传参
     */
    private String format = "wav";
    /**
     * 固定传参
     */
    private double topP = 0.7;
    /**
     * 固定传参
     */
    private int max_new_tokens = 1024;
    /**
     * 固定传参
     */
    private int chunk_length = 100;
    /**
     * 固定传
     */
    private double repetition_penalty = 1.2;
    /**
     * 固定传参
     */
    private double temperature = 0.7;
    /**
     * 固定传参
     */
    private boolean need_asr = false;
    /**
     * 固定传参
     */
    private boolean streaming = false;
    /**
     * 固定传参
     */
    private int is_fixed_seed = 0;
    /**
     * 固定传参
     */
    private int is_norm = 0;
    /**
     * 上一步“模特训练”的返回值
     */
    private String reference_audio;

    /**
     * 上一步“模特训练”的返回值
     */
    private String reference_text;
}
